Page MenuHomePhabricator

Deploy scap 3.9.0-1
Closed, ResolvedPublic

Description

The release branch for scap has tags for 3.9.0-1

Instructions available on Wikitech.

Here is the changelog, the main change is @Joe's opscache invalidation.

I've also added the python-concurrent.futures package to Depends in debian/control.

scap (3.9.0-1) unstable; urgency=low

  [ Tyler Cipriani ]
  * pipeline: test scap with CD pipeline
  * Docs: remove references to differential

  [ Antoine Musso ]
  * Change message to 'Copying from x to y'

  [ Giuseppe Lavagetto ]
  * Invalidate PHP7's opcache when needed (Bug: T211964)
  * Rewrite the concurrency logic of OpcacheManager (Bug: T211964)

  [ MarcoAurelio ]
  * Fix flake8 "F632 use ==/!= to compare str, bytes, and int literals" error

 -- Tyler Cipriani <tcipriani@wikimedia.org>  Wed, 20 Feb 2019 16:39:39 -0700

Details

Related Gerrit Patches:
operations/puppet : productionScap: upgrade to 3.9.0-1

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 12:08 AM

Change 491879 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Scap: upgrade to 3.9.0-1

https://gerrit.wikimedia.org/r/491879

I've generally took care of scap uploads, though I'd appreciate if someone else can pick it up as well as I have other priorities ATM.
The procedure is fully documented here https://wikitech.wikimedia.org/wiki/Scap3#Production_update thanks!

fsero added a subscriber: fsero.Feb 21 2019, 4:06 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-21T16:21:59Z] <fsero> uploading scap3 3.9.0.1 package to trusty, jessie and stretch T216666

fsero added a comment.Feb 21 2019, 4:22 PM

done now :)

greg closed this task as Resolved.Feb 22 2019, 6:39 AM
greg assigned this task to fsero.
greg added a subscriber: greg.

Thanks!

thcipriani reopened this task as Open.Feb 23 2019, 12:35 AM

Title of task was a bit ambiguous. To release the new version of scap, we still need to merge the puppet patch: https://gerrit.wikimedia.org/r/491879

thcipriani renamed this task from Upgrade scap debian package to 3.9.0-1 to Deploy scap 3.9.0-1.Feb 23 2019, 12:35 AM

Change 491879 merged by Effie Mouzeli:
[operations/puppet@production] Scap: upgrade to 3.9.0-1

https://gerrit.wikimedia.org/r/491879

thcipriani closed this task as Resolved.Feb 25 2019, 4:55 PM
thcipriani added a subscriber: jijiki.

Thanks for the merge @jijiki !